petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASCycleGetSmoother

Gets the smoother on a particular cycle level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetSmoother(SNES snes, SNES *smooth)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

smooth -the smoother

### See Also

SNESFASCycleGetSmootherUp(), SNESFASCycleGetSmootherDown()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages